hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kai Sasaki (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HADOOP-13816) Ambiguous plugin version warning from maven build.
Date Mon, 14 Nov 2016 11:37:58 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-13816?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Kai Sasaki updated HADOOP-13816:
--------------------------------
    Attachment: HADOOP-13816.01.patch

> Ambiguous plugin version warning from maven build.
> --------------------------------------------------
>
>                 Key: HADOOP-13816
>                 URL: https://issues.apache.org/jira/browse/HADOOP-13816
>             Project: Hadoop Common
>          Issue Type: Bug
>    Affects Versions: 3.0.0-alpha2
>            Reporter: Kai Sasaki
>            Assignee: Kai Sasaki
>            Priority: Minor
>         Attachments: HADOOP-13816.01.patch
>
>
> When we try to build Hadoop with maven, the below warning is shown.
> {code}
> [WARNING]
> [WARNING] Some problems were encountered while building the effective model for org.apache.hadoop:hadoop-rumen:jar:3.0.0-alpha2-SNAPSHOT
> [WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique:
com.fasterxml.jackson.core:jackson-databind:jar -> duplicate declaration of version (?)
@ line 102, column 17
> [WARNING]
> [WARNING] Some problems were encountered while building the effective model for org.apache.hadoop:hadoop-build-tools:jar:3.0.0-alpha2-SNAPSHOT
> [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-remote-resources-plugin
is missing. @ org.apache.hadoop:hadoop-build-tools:[unknown-version], /Users/sasakikai/dev/hadoop/hadoop-build-tools/pom.xml,
line 80, column 15
> [WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-resources-plugin
is missing. @ org.apache.hadoop:hadoop-build-tools:[unknown-version], /Users/sasakikai/dev/hadoop/hadoop-build-tools/pom.xml,
line 54, column 15
> {code}
> It is required to 
> - remove duplicated definition {{jackson-databind}}
> - specify the version {{maven-resource-plugin}} and {{maven-remote-resources-plugin}}.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message